Error tracking

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

POST
POST
POST
GET
GET
POST
GET
PATCH
DELETE
GET
GET
PATCH
GET
POST
GET
PATCH
DELETE
PATCH

Create error tracking recommendations dismiss

Required API key scopes

error_tracking:write

Path parameters

  • id
    string

Response


Example request

POST /api/projects/:project_id/error_tracking/recommendations/:id/dismiss
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/error_tracking/recommendations/:id/dismiss/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"type": "string",
"meta": null,
"completed": true,
"status": "string",
"computed_at": "2019-08-24T14:15:22Z",
"dismissed_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Create error tracking recommendations refresh

Required API key scopes

error_tracking:write

Path parameters

  • id
    string

Query parameters

  • force
    boolean

Response


Example request

POST /api/projects/:project_id/error_tracking/recommendations/:id/refresh
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/error_tracking/recommendations/:id/refresh/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"type": "string",
"meta": null,
"completed": true,
"status": "string",
"computed_at": "2019-08-24T14:15:22Z",
"dismissed_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Create error tracking recommendations restore

Required API key scopes

error_tracking:write

Path parameters

  • id
    string

Response


Example request

POST /api/projects/:project_id/error_tracking/recommendations/:id/restore
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/error_tracking/recommendations/:id/restore/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"type": "string",
"meta": null,
"completed": true,
"status": "string",
"computed_at": "2019-08-24T14:15:22Z",
"dismissed_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Retrieve error tracking recommendations source maps examples

List the files and builds whose recent stack frames miss source maps, mapping files or debug symbols on one platform, with the reason and how many frames each covers.

Required API key scopes

error_tracking:read

Query parameters

  • platform
    string
    One of: "javascript""java""native"

Response


Example request

GET /api/projects/:project_id/error_tracking/recommendations/source_maps_examples
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/error_tracking/recommendations/source_maps_examples/

Example response

Status 200
RESPONSE
{
"platform": "javascript",
"lookback_hours": 0,
"exceptions_loaded": true,
"results": [
{
"reason": "chunk_not_uploaded",
"location": "string",
"symbol_id": "string",
"http_status": 0,
"frames": 0,
"issues": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"description": "string",
"occurrences": 0
}
],
"issue_count": 0,
"issue_count_capped": true,
"example_exception": {
"issue_id": "117c70c4-891b-49ba-96f2-b7599e2af0f7",
"fingerprint": "string",
"timestamp": "2019-08-24T14:15:22Z",
"type": "string",
"value": "string",
"frames": [
{
"function": "string",
"source": "string",
"line": 0,
"column": 0,
"in_app": true,
"missing_symbols": true
}
]
}
}
]
}

List all error tracking releases

Required API key scopes

error_tracking:read

Query parameters

  • limit
    integer
  • offset
    integer

Response


Example request

GET /api/projects/:project_id/error_tracking/releases
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/error_tracking/releases/

Example response

Status 200
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"hash_id": "string",
"team_id": 0,
"created_at": "2019-08-24T14:15:22Z",
"metadata": {},
"version": "string",
"project": "string"
}
]
}

Create error tracking releases

Required API key scopes

error_tracking:write

Request parameters

  • version
    string
  • project
    string
  • hash_id
    string | null
  • metadata
    object | null

Response


Example request

POST /api/projects/:project_id/error_tracking/releases
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/error_tracking/releases/\
-d version="string",\
-d project="string"

Example response

Status 201
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"hash_id": "string",
"team_id": 0,
"created_at": "2019-08-24T14:15:22Z",
"metadata": {},
"version": "string",
"project": "string"
}

Retrieve error tracking releases

Required API key scopes

error_tracking:read

Path parameters

  • id
    string

Response


Example request

GET /api/projects/:project_id/error_tracking/releases/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/error_tracking/releases/:id/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"hash_id": "string",
"team_id": 0,
"created_at": "2019-08-24T14:15:22Z",
"metadata": {},
"version": "string",
"project": "string"
}

Update error tracking releases

Required API key scopes

error_tracking:write

Path parameters

  • id
    string

Request parameters

  • version
    string | null
  • project
    string | null
  • hash_id
    string | null
  • metadata
    object | null

Example request

PATCH /api/projects/:project_id/error_tracking/releases/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X PATCH \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/error_tracking/releases/:id/\
-d version="string"

Example response

Status 204 No response body

Delete error tracking releases

Required API key scopes

error_tracking:write

Path parameters

  • id
    string

Example request

DELETE /api/projects/:project_id/error_tracking/releases/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X DELETE \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/error_tracking/releases/:id/

Example response

Status 204 No response body

Retrieve error tracking releases hash

Required API key scopes

error_tracking:read

Path parameters

  • hash_id
    string

Example request

GET /api/projects/:project_id/error_tracking/releases/hash/:hash_id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/error_tracking/releases/hash/:hash_id/

Example response

Status 200 No response body

Retrieve error tracking settings retrieve settings

Required API key scopes

error_tracking:read

Response


Example request

GET /api/projects/:project_id/error_tracking/settings/retrieve_settings
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/error_tracking/settings/retrieve_settings/

Example response

Status 200
RESPONSE
{
"adaptive_ingestion_enabled": true,
"project_rate_limit_value": 1,
"project_rate_limit_bucket_size_minutes": 1,
"per_issue_rate_limit_value": 1,
"per_issue_rate_limit_bucket_size_minutes": 1,
"ingestion_enabled": true
}

Update error tracking settings update settings

Required API key scopes

error_tracking:write

Request parameters

  • adaptive_ingestion_enabled
    boolean
  • project_rate_limit_value
    integer | null
  • project_rate_limit_bucket_size_minutes
    integer | null
  • per_issue_rate_limit_value
    integer | null
  • per_issue_rate_limit_bucket_size_minutes
    integer | null
  • ingestion_enabled
    boolean

Response


Example request

PATCH /api/projects/:project_id/error_tracking/settings/update_settings
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X PATCH \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/error_tracking/settings/update_settings/\
-d adaptive_ingestion_enabled="boolean"

Example response

Status 200
RESPONSE
{
"adaptive_ingestion_enabled": true,
"project_rate_limit_value": 1,
"project_rate_limit_bucket_size_minutes": 1,
"per_issue_rate_limit_value": 1,
"per_issue_rate_limit_bucket_size_minutes": 1,
"ingestion_enabled": true
}

List all error tracking severity rules

Required API key scopes

error_tracking:read

Response


Example request

GET /api/projects/:project_id/error_tracking/severity_rules
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/error_tracking/severity_rules/

Example response

Status 200
RESPONSE
{
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"filters": {
"type": "AND",
"values": [
{}
]
},
"severity": "low",
"order_key": 0,
"disabled_data": {
"message": "string",
"issue": {},
"properties": {}
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
]
}

Create error tracking severity rules

Required API key scopes

error_tracking:write

Request parameters

  • filters
  • severity
  • order_key
    integer
    Default: 0

Response


Example request

POST /api/projects/:project_id/error_tracking/severity_rules
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/error_tracking/severity_rules/\
-d filters=undefined,\
-d severity=undefined

Example response

Status 201
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"filters": {
"type": "AND",
"values": [
{}
]
},
"severity": "low",
"order_key": 0,
"disabled_data": {
"message": "string",
"issue": {},
"properties": {}
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Retrieve error tracking severity rules

Required API key scopes

error_tracking:read

Path parameters

  • id
    string

Response


Example request

GET /api/projects/:project_id/error_tracking/severity_rules/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/error_tracking/severity_rules/:id/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"filters": {
"type": "AND",
"values": [
{}
]
},
"severity": "low",
"order_key": 0,
"disabled_data": {
"message": "string",
"issue": {},
"properties": {}
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Update error tracking severity rules

Required API key scopes

error_tracking:write

Path parameters

  • id
    string

Request parameters

  • filters
  • severity

Example request

PATCH /api/projects/:project_id/error_tracking/severity_rules/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X PATCH \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/error_tracking/severity_rules/:id/\
-d filters=undefined

Example response

Status 204 No response body

Delete error tracking severity rules

Required API key scopes

error_tracking:write

Path parameters

  • id
    string

Example request

DELETE /api/projects/:project_id/error_tracking/severity_rules/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X DELETE \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/error_tracking/severity_rules/:id/

Example response

Status 204 No response body

Update error tracking severity rules reorder

Required API key scopes

error_tracking:write

Request parameters

  • orders
    object

Example request

PATCH /api/projects/:project_id/error_tracking/severity_rules/reorder
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X PATCH \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/error_tracking/severity_rules/reorder/\
-d orders="object"

Example response

Status 204 No response body